Plugins captions for name and descriptions has not i18n support
Assignee:  % Done: 0%
Target version:    

Description

The admin plugin's view doesn't support translations.

Those fields right now are not able to be translated but they should.

I've added l() function to the view so that can be translated at init.rb.

I've attached a patch for it against the last Redmine version (r4410).

Related issues:

Related to Redmine - Feature #8058: Separation of content language from UI la... New 2011-04-04

History

#1 - 2010-11-20 15:21 - Jean-Philippe Lang

This patch seems to break plugins that do not have translated name and description.

#2 - 2010-11-21 14:08 - Juanje Ojeda Croissier

Thanks for reviewing the patch :-)

Yes, you're right, but I think those strings should be able to be translated always. At least, the description.

I'm not sure if there is a easy and elegant way to translate just if there is a translation :/

Can't it be added to the plugins documentation as a requirement for updating a plugin to the new Redmine version or create a new one? Just a

thought...

Thanks for your time.

#3 - 2010-11-21 14:13 - Holger Just

You could use something like this:

plugin.description.is_a? Symbol ? l(plugin.description) : plugin.description

 A new requirement is not to be taken lightheartly. It could be optional (and/or recommended) though.

#4 - 2010-11-22 00:48 - Juanje Ojeda Croissier

- File add_i18n_to_plugins_view_with_check.patch added

Thanks Holger,

I was trying with that solution and I got the patch I attech. No I have plugins with translations adn plugins without translations working.

#5 - 2010-11-29 20:42 - Jean-Philippe Lang

- Category changed from Translations to I18n

- Assignee deleted (Azamat Hackimov)

I think that localized plugin names can be confusing and I'm not aware of a software that provides this feature. For the description, I think we should

wait for #5518 so that plugins do not have to provide a valid translation for each language that is present in the core.

Files

add_i18n_to_plugins_view.patch 930 Bytes 2010-11-17 Juanje Ojeda Croissier

add_i18n_to_plugins_view_with_check.patch 1.04 KB 2010-11-21 Juanje Ojeda Croissier
